| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Connection
Python

Discover available controllers and open connections. More...

## Functions
| gclib.py.GOpen (self, address)
| Opens a connection a galil controller.
| gclib.py.GClose (self)
| Closes a connection to a Galil Controller.
| gclib.py.GInfo (self)
| Provides a useful connection string.
| gclib.py.GIpRequests (self)
| Provides a dictionary of all Galil controllers requesting IP addresses via BOOT-P or DHCP.
| gclib.py.GAssign (self, ip, mac)
| Assigns IP address over the Ethernet to a controller at a given MAC address.
| gclib.py.GAddresses (self)
| Provides a dictionary of all available connection addresses.
| gclib.py.GTimeout (self, timeout)
| Set the library timeout.
| gclib.py.timeout (self)
| Convenience property read access to timeout value.
| gclib.py.timeout (self, timeout)
| Convenience property write access to timeout value.

## Detailed Description

Discover available controllers and open connections.

## Function Documentation

## ◆ GOpen()

gclib.py.GOpen | ( |  | self,
|  |  | address )

Opens a connection a galil controller.

See the gclib docs for address string formatting.

Definition at line 135 of file gclib.py.

## ◆ GClose()

gclib.py.GClose | ( |  | self | ) |

Closes a connection to a Galil Controller.

Definition at line 145 of file gclib.py.

## ◆ GInfo()

gclib.py.GInfo | ( |  | self | ) |

Provides a useful connection string.

Please include the output of this function on all support cases.

Definition at line 219 of file gclib.py.

## ◆ GIpRequests()

gclib.py.GIpRequests | ( |  | self | ) |

Provides a dictionary of all Galil controllers requesting IP addresses via BOOT-P or DHCP.

Returns a dictionary mapping 'model-serial' --> 'mac address' e.g. {'DMC4000-783': '00:50:4c:20:03:0f', 'DMC4103-9998': '00:50:4c:38:27:0e'}

Linux/OS X users must be root to use GIpRequests() and have UDP access to bind and listen on port 67.

Definition at line 227 of file gclib.py.

## ◆ GAssign()

gclib.py.GAssign | ( |  | self,
|  |  | ip,
|  |  | mac )

Assigns IP address over the Ethernet to a controller at a given MAC address.

Linux/OS X users must be root to use GAssign() and have UDP access to send on port 68.

Definition at line 247 of file gclib.py.

## ◆ GAddresses()

gclib.py.GAddresses | ( |  | self | ) |

Provides a dictionary of all available connection addresses.

Returns a dictionary mapping 'address' -> 'revision reports', where possible e.g. {}

Definition at line 258 of file gclib.py.

## ◆ GTimeout()

gclib.py.GTimeout | ( |  | self,
|  |  | timeout )

Set the library timeout.

Set to -1 to use the initial library timeout, as specified in GOpen.

Definition at line 374 of file gclib.py.

## ◆ timeout() [1/2]

gclib.py.timeout | ( |  | self | ) |

Convenience property read access to timeout value.

If -1, gclib uses the initial library timeout, as specified in GOpen.

Definition at line 385 of file gclib.py.

## ◆ timeout() [2/2]

gclib.py.timeout | ( |  | self,
|  |  | timeout )

Convenience property write access to timeout value.

Set to -1 to use the initial library timeout, as specified in GOpen.

Definition at line 392 of file gclib.py.